import { MonkeyEcxRequestSchedule } from '../../interfaces';
import * as i0 from "@angular/core";
export declare class MonkeyEcxLoggedHandlingService {
    private schedules;
    private genericSchedules;
    constructor();
    private destroySchedule;
    private destroyGenericSchedule;
    addSchedule(sch: MonkeyEcxRequestSchedule[]): void;
    addGenericSchedule(sch: MonkeyEcxRequestSchedule[]): void;
    destroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxLoggedHandlingService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxLoggedHandlingService>;
}
